Bug 141713 - Programs linked against devel/boehm-gc fail on sparc64
Summary: Programs linked against devel/boehm-gc fail on sparc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-17 14:00 UTC by Michael Moll
Modified: 2009-12-19 11:20 UTC (History)
0 users

See Also:


Attachments
file.diff (936 bytes, patch)
2009-12-17 14:00 UTC, Michael Moll
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Moll freebsd_committer 2009-12-17 14:00:14 UTC
While trying to install www/w3m, the configure script failed, a look into config.log releaved a problem with boehm-gc, which was installed before as dependency:
/usr/local/lib/libgc.so: undefined reference to `GC_save_regs_in_stack'

Fix: Pull in SPARC-specific code also on FreeBSD (see attached patch)

Patch attached with submission follows:
How-To-Repeat: Build a programm that uses boehm-gc
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-12-18 06:53:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Fix synopsis and assign.  stas, if you want, I can try to test this.
Comment 2 dfilter service freebsd_committer 2009-12-19 11:11:28 UTC
stas        2009-12-19 11:11:15 UTC

  FreeBSD ports repository

  Added files:
    devel/boehm-gc/files patch-configure 
    devel/boehm-gc-redirect/files patch-configure 
    devel/boehm-gc-threaded/files patch-configure 
  Log:
  - Fix sparc64 build.
  
  PR:             ports/141713
  Submitted by:   Michael Moll <kvedulv@kvedulv.de>
  
  Revision  Changes    Path
  1.1       +12 -0     ports/devel/boehm-gc-redirect/files/patch-configure (new)
  1.1       +12 -0     ports/devel/boehm-gc-threaded/files/patch-configure (new)
  1.5       +12 -0     ports/devel/boehm-gc/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stanislav Sedov freebsd_committer 2009-12-19 11:11:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!